<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="pl">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.7"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Robomap: Dokumentacja pliku ReaderThr.hpp</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectalign">
   <div id="projectname">Robomap<span id="projectnumber">&#160;0.1</span>
   </div>
   <div id="projectbrief">RM</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Wygenerowano przez Doxygen 1.9.7 -->
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',false,false,'search.php','Szukaj');
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('_reader_thr_8hpp.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<div class="header">
  <div class="summary">
<a href="#nested-classes">Komponenty</a>  </div>
  <div class="headertitle"><div class="title">Dokumentacja pliku ReaderThr.hpp</div></div>
</div><!--header-->
<div class="contents">

<p>Definicja klasy <a class="el" href="class_reader_thr.html" title="Obiekt czytający z portu szeregowego.">ReaderThr</a>.  
<a href="#details">Więcej...</a></p>
<div class="textblock"><code>#include &lt;QThread&gt;</code><br />
<code>#include &quot;<a class="el" href="_serial_port_8hpp_source.html">SerialPort.hpp</a>&quot;</code><br />
</div><div class="textblock"><div class="dynheader">
Wykres zależności załączania dla ReaderThr.hpp:</div>
<div class="dyncontent">
<div class="center"><img src="_reader_thr_8hpp__incl.png" border="0" usemap="#a_reader_thr_8hpp" alt=""/></div>
<map name="a_reader_thr_8hpp" id="a_reader_thr_8hpp">
<area shape="rect" title="Definicja klasy ReaderThr." alt="" coords="494,5,601,31"/>
<area shape="rect" title=" " alt="" coords="455,79,527,104"/>
<area shape="poly" title=" " alt="" coords="540,33,511,69,507,66,536,29"/>
<area shape="rect" href="_serial_port_8hpp.html" title="Definicja klasy SerialPort." alt="" coords="552,79,655,104"/>
<area shape="poly" title=" " alt="" coords="559,29,588,66,584,69,555,33"/>
<area shape="rect" title=" " alt="" coords="492,225,547,251"/>
<area shape="poly" title=" " alt="" coords="552,105,540,107,438,111,269,117,104,130,45,140,26,147,15,154,9,165,11,174,22,184,41,192,98,207,172,217,341,230,478,234,478,239,341,235,172,223,96,212,39,197,19,188,7,177,3,164,11,150,23,142,44,135,103,125,269,112,438,106,539,101,551,100"/>
<area shape="rect" title=" " alt="" coords="25,152,97,177"/>
<area shape="poly" title=" " alt="" coords="552,105,540,107,421,121,327,129,232,137,111,155,110,149,231,132,326,123,420,116,539,101,551,99"/>
<area shape="rect" title=" " alt="" coords="121,152,248,177"/>
<area shape="poly" title=" " alt="" coords="553,104,540,107,262,153,261,148,539,101,552,99"/>
<area shape="rect" title=" " alt="" coords="273,152,342,177"/>
<area shape="poly" title=" " alt="" coords="556,107,357,154,355,149,555,101"/>
<area shape="rect" title=" " alt="" coords="366,152,427,177"/>
<area shape="poly" title=" " alt="" coords="571,107,442,151,440,146,569,101"/>
<area shape="rect" title=" " alt="" coords="451,152,510,177"/>
<area shape="poly" title=" " alt="" coords="585,106,514,147,511,143,582,102"/>
<area shape="rect" title=" " alt="" coords="535,152,592,177"/>
<area shape="poly" title=" " alt="" coords="599,106,579,141,574,139,594,103"/>
<area shape="rect" title=" " alt="" coords="616,152,673,177"/>
<area shape="poly" title=" " alt="" coords="613,103,633,139,629,141,608,106"/>
<area shape="rect" title=" " alt="" coords="697,152,784,177"/>
<area shape="poly" title=" " alt="" coords="627,102,707,143,705,148,624,106"/>
<area shape="rect" title=" " alt="" coords="808,152,887,177"/>
<area shape="poly" title=" " alt="" coords="643,101,796,146,794,151,642,107"/>
<area shape="rect" title=" " alt="" coords="911,152,978,177"/>
<area shape="poly" title=" " alt="" coords="656,100,899,149,899,149,898,155,898,155,655,105"/>
<area shape="rect" href="_robot_data_8hpp.html" title="Definicja klasy RobotData." alt="" coords="1125,152,1231,177"/>
<area shape="poly" title=" " alt="" coords="655,95,851,116,1111,149,1111,154,851,121,655,100"/>
<area shape="rect" href="odbieranie_8hh.html" title=" " alt="" coords="1002,152,1101,177"/>
<area shape="poly" title=" " alt="" coords="655,97,989,149,988,154,654,103"/>
<area shape="rect" href="transparam_8hh.html" title=" " alt="" coords="1255,152,1359,177"/>
<area shape="poly" title=" " alt="" coords="655,93,904,113,1070,129,1242,149,1241,155,1069,134,903,118,655,99"/>
<area shape="rect" title=" " alt="" coords="1149,225,1207,251"/>
<area shape="poly" title=" " alt="" coords="1181,178,1181,212,1175,212,1175,178"/>
<area shape="poly" title=" " alt="" coords="1002,178,990,180,747,213,561,235,560,230,746,208,990,175,1001,173"/>
<area shape="rect" title=" " alt="" coords="1270,225,1345,251"/>
<area shape="poly" title=" " alt="" coords="1310,178,1310,212,1305,212,1305,178"/>
</map>
</div>
</div><div class="textblock"><div class="dynheader">
Ten wykres pokazuje, które pliki bezpośrednio lub pośrednio załączają ten plik:</div>
<div class="dyncontent">
<div class="center"><img src="_reader_thr_8hpp__dep__incl.png" border="0" usemap="#a_reader_thr_8hppdep" alt=""/></div>
<map name="a_reader_thr_8hppdep" id="a_reader_thr_8hppdep">
<area shape="rect" title="Definicja klasy ReaderThr." alt="" coords="140,5,247,31"/>
<area shape="rect" href="_main_window_8hpp.html" title="Definicja klasy MainWindow." alt="" coords="65,79,185,104"/>
<area shape="poly" title=" " alt="" coords="175,42,138,80,134,77,171,39"/>
<area shape="rect" href="_reader_thr_8cpp.html" title="Definicje metod klasy ReaderThr." alt="" coords="209,79,316,104"/>
<area shape="poly" title=" " alt="" coords="216,39,253,77,250,80,212,43"/>
<area shape="rect" href="_main_window_8cpp.html" title="Definicje metod klasy MainWindow." alt="" coords="5,152,125,177"/>
<area shape="poly" title=" " alt="" coords="109,116,77,154,73,150,105,113"/>
<area shape="rect" href="main_8cpp.html" title=" " alt="" coords="149,152,224,177"/>
<area shape="poly" title=" " alt="" coords="146,113,179,150,175,154,142,116"/>
</map>
</div>
</div>
<p><a href="_reader_thr_8hpp_source.html">Idź do kodu źródłowego tego pliku.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="nested-classes" name="nested-classes"></a>
Komponenty</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_reader_thr.html">ReaderThr</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">Obiekt czytający z portu szeregowego.  <a href="class_reader_thr.html#details">Więcej...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Opis szczegółowy</h2>
<div class="textblock"><p>Plik zawiera definicję klasy <a class="el" href="class_reader_thr.html" title="Obiekt czytający z portu szeregowego.">ReaderThr</a>, która odpowiada za cykliczne doczytywanie danych z portu szeregowego. </p>

<p class="definition">Definicja w pliku <a class="el" href="_reader_thr_8hpp_source.html">ReaderThr.hpp</a>.</p>
</div></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_4aa64b0872d36146e049722e293482e3.html">prj</a></li><li class="navelem"><a class="el" href="dir_72345776cd6700fb0dedb8f1faaa0c00.html">inc</a></li><li class="navelem"><a class="el" href="_reader_thr_8hpp.html">ReaderThr.hpp</a></li>
    <li class="footer">Wygenerowano przez <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.7 </li>
  </ul>
</div>
</body>
</html>
